package com.jiuqi.mde;

import java.sql.SQLException;
import java.sql.PreparedStatement;

class StatementCache
{
    PreparedStatement updateStatement;
    PreparedStatement insertStatement;
    PreparedStatement deleteStatement;
    PreparedStatement updateByIdentyStatement;
    PreparedStatement deleteByIdentyStatement;
    
    public void clear() {
        this.updateStatement = null;
        this.insertStatement = null;
        this.deleteStatement = null;
        this.updateByIdentyStatement = null;
        this.deleteByIdentyStatement = null;
    }
    
    public void close() throws SQLException {
        if (this.updateStatement != null) {
            final PreparedStatement temp = this.updateStatement;
            temp.close();
        }
        if (this.insertStatement != null) {
            final PreparedStatement temp = this.insertStatement;
            temp.close();
        }
        if (this.deleteStatement != null) {
            final PreparedStatement temp = this.deleteStatement;
            temp.close();
        }
        if (this.updateByIdentyStatement != null) {
            final PreparedStatement temp = this.updateByIdentyStatement;
            temp.close();
        }
        if (this.deleteByIdentyStatement != null) {
            final PreparedStatement temp = this.deleteByIdentyStatement;
            temp.close();
        }
    }
}
